Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans
Class AbleDataMap

    java.lang.Object
      com.ibm.able.AbleObject
          com.ibm.able.beans.AbleDataMap

All Implemented Interfaces:
  AbleBean, AbleDataBufferManager, AbleEventListener, AbleEventListenerManager, AbleEventQueueManager, AbleEventQueueProcessor, AblePropertyChangeManager, AbleSerializable, java.io.Serializable

public class AbleDataMap
extends AbleObject
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `clsName`

Fields inherited from class com.ibm.able.AbleObject
`changed, chgSupport, comment, dataFlowEnabled, defaultName, destBufferConnections, eventQueue, fileName, inputBuffer, listeners, logger, name, outputBuffer, parent, properties, propertyConnectionMgr, sourceBufferConnections, state, stateChgSupport, trace`

Method Summary
`java.lang.Object` | `get(java.lang.Double DKey)`
`java.lang.Object` | `get(java.lang.Integer IKey)`
`java.lang.Object` | `get(java.lang.Object objKey)`
`java.lang.Object` | `get(java.lang.String strKey)`
`java.lang.Double` | `getAsDouble(java.lang.Double DKey)`
`java.lang.Double` | `getAsDouble(java.lang.String strKey)`
`java.lang.Integer` | `getAsInteger(java.lang.Double DKey)`
`java.lang.Integer` | `getAsInteger(java.lang.String strKey)`
`java.lang.String` | `getAsString(java.lang.Double DKey)`
`java.lang.String` | `getAsString(java.lang.String strKey)`
`java.lang.String` | `getName()` Method to get the name of this DataTable.
`static void` | `main(java.lang.String[] args)`
`void` | `put(java.lang.Double DKey, java.lang.Double DValue)`
`void` | `put(java.lang.Double DKey, java.lang.Integer IValue)`
`void` | `put(java.lang.Double DKey, java.lang.Object objValue)`
`void` | `put(java.lang.Double DKey, java.lang.String strValue)`
`void` | `put(java.lang.Integer IKey, java.lang.Double DValue)`
`void` | `put(java.lang.Integer IKey, java.lang.Integer IValue)`
`void` | `put(java.lang.Integer IKey, java.lang.Object objValue)`
`void` | `put(java.lang.Integer IKey, java.lang.String strValue)`
`void` | `put(java.lang.Object objKey, java.lang.Object objValue)`
`void` | `put(java.lang.String strKey, java.lang.Double DValue)`
`void` | `put(java.lang.String strKey, java.lang.Integer IValue)`
`void` | `put(java.lang.String strKey, java.lang.Object objValue)`
`void` | `put(java.lang.String strKey, java.lang.String strValue)`
`void` | `setName(java.lang.String strName)` Method to set the name of this DataTable.

Methods inherited from class com.ibm.able.AbleObject
`addAbleEventListener, addDestBufferConnection, addPropertyChangeListener, addPropertyConnection, addSourceBufferConnection, addStateChangeListener, dataChanged, firePropertyChange, flushAbleEventQueue, getAbleEventListeners, getAbleEventProcessingEnabled, getAbleEventQueueSize, getComment, getDestBufferConnections, getFileName, getInputBuffer, getInputBuffer, getInputBufferAsString, getInputBufferAsStringArray, getInputBufferContents, getLogger, getOutputBuffer, getOutputBuffer, getOutputBufferAsString, getOutputBufferAsStringArray, getOutputBufferContents, getParent, getProperties, getProperty, getPropertyChangeListeners, getPropertyConnectionManager, getSleepTime, getSourceBufferConnections, getState, getTraceLogger, handleAbleEvent, hasInputBuffer, hasOutputBuffer, init, init, isAbleEventPostingEnabled, isAbleEventProcessingEnabled, isChanged, isConnectable, isDataFlowEnabled, isTimerEventProcessingEnabled, notifyAbleEventListeners, process, process, processAbleEvent, processBufferConnections, processNoEventProcessingEnabledSituation, processTimerEvent, quitAll, quitEnabledEventProcessing, removeAbleEventListener, removeAllAbleEventListeners, removeAllBufferConnections, removeAllConnections, removeAllPropertyConnections, removeDestBufferConnection, removeProperty, removePropertyChangeListener, removePropertyConnection, removeSourceBufferConnection, removeStateChangeListener, reset, restartEnabledEventProcessing, restoreFromFile, restoreFromFile, restoreFromSerializedFile, restoreFromStream, resumeAll, resumeEnabledEventProcessing, saveToFile, saveToFile, setAbleEventProcessingEnabled, setChanged, setComment, setDataFlowEnabled, setFileName, setInputBuffer, setInputBuffer, setLogger, setOutputBuffer, setOutputBuffer, setParent, setProperties, setProperty, setSleepTime, setState, setTimerEventProcessingEnabled, setTraceLogger, sourceConnectionsOK, startEnabledEventProcessing, suspendAll, suspendEnabledEventProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clsName

    public static final java.lang.String clsName

See Also:
  Constant Field Values

Method Detail

### setName

    public void setName(java.lang.String strName)

  Method to set the name of this DataTable.

  Specified by:
    `setName` in interface `AbleBean`
  Overrides:
    `setName` in class `AbleObject`
  Parameters:
    `strName` - The name for this DataTable.

### getName

    public java.lang.String getName()

  Method to get the name of this DataTable.

  Specified by:
    `getName` in interface `AbleBean`
  Overrides:
    `getName` in class `AbleObject`
  Returns:
    The name for this DataTable.

### get

    public java.lang.Object get(java.lang.String strKey)

### get

    public java.lang.Object get(java.lang.Double DKey)

### get

    public java.lang.Object get(java.lang.Integer IKey)

### get

    public java.lang.Object get(java.lang.Object objKey)

### getAsInteger

    public java.lang.Integer getAsInteger(java.lang.Double DKey)

### getAsDouble

    public java.lang.Double getAsDouble(java.lang.Double DKey)

### getAsString

    public java.lang.String getAsString(java.lang.Double DKey)

### getAsInteger

    public java.lang.Integer getAsInteger(java.lang.String strKey)

### getAsDouble

    public java.lang.Double getAsDouble(java.lang.String strKey)

### getAsString

    public java.lang.String getAsString(java.lang.String strKey)

### put

    public void put(java.lang.String strKey,
                    java.lang.String strValue)

### put

    public void put(java.lang.String strKey,
                    java.lang.Double DValue)

### put

    public void put(java.lang.String strKey,
                    java.lang.Integer IValue)

### put

    public void put(java.lang.Double DKey,
                    java.lang.Double DValue)

### put

    public void put(java.lang.Double DKey,
                    java.lang.Integer IValue)

### put

    public void put(java.lang.Double DKey,
                    java.lang.String strValue)

### put

    public void put(java.lang.Object objKey,
                    java.lang.Object objValue)

### put

    public void put(java.lang.Integer IKey,
                    java.lang.String strValue)

### put

    public void put(java.lang.Integer IKey,
                    java.lang.Double DValue)

### put

    public void put(java.lang.Integer IKey,
                    java.lang.Integer IValue)

### put

    public void put(java.lang.Integer IKey,
                    java.lang.Object objValue)

### put

    public void put(java.lang.String strKey,
                    java.lang.Object objValue)

### put

    public void put(java.lang.Double DKey,
                    java.lang.Object objValue)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005